import Taro from "@tarojs/taro";

const { miniProgram: { envVersion } } = Taro.getAccountInfoSync();
let urls = { dev: '', uploadUrl: '', loginDev: '', authenticationUrl: '', reportUrl: '', assetsUrl: '', kitchenWasteUrl: '', eventUrl: '' }
if (envVersion === 'develop') {  // 开发版（开发者工具、预览码、提审时审查人员看到的）
    urls = {
        dev: "https://api.xinducg.cn",
        uploadUrl: "https://xinducg.cn/citizen-voice/oss/upload",
        loginDev: "https://api.xinducg.cn",
        authenticationUrl: "https://api.xinducg.cn/violating-subject",
        reportUrl: "https://api.xinducg.cn/citizen-voice",
        assetsUrl: "https://xinducg.cn/file",
        kitchenWasteUrl: "https://api.xinducg.cn/waste",
        eventUrl: "https://api.xinducg.cn",
    }
} else if (envVersion === 'trial') {   // 体验版（体验码）
    // urls = {
    //     dev: "http://171.217.92.33:21511",
    //     uploadUrl: "https://xct.cdhncy.cn/citizen-voice/oss/upload?bucketName=cgtf",
    //     loginDev: "http://171.217.92.33:21511",
    //     authenticationUrl: "http://171.217.92.33:21511/violating-subject",
    //     reportUrl: "http://171.217.92.33:21511/citizen-voice",
    //     assetsUrl: "https://xct.cdhncy.cn/file",
    //     kitchenWasteUrl: "http://171.217.92.33:21511/waste",
    //     eventUrl: "http://171.217.92.33:21511",
    // }
    //正式服
    urls = {
        dev: "https://api.xinducg.cn",
        uploadUrl: "https://xinducg.cn/citizen-voice/oss/upload",
        loginDev: "https://api.xinducg.cn",
        authenticationUrl: "https://api.xinducg.cn/violating-subject",
        reportUrl: "https://api.xinducg.cn/citizen-voice",
        assetsUrl: "https://xinducg.cn/file",
        kitchenWasteUrl: "https://api.xinducg.cn/waste",
        eventUrl: "https://api.xinducg.cn",
    }
} else {  // 正式版（发布后）    新都正式服务
    urls = {
        dev: "https://api.xinducg.cn",
        uploadUrl: "https://xinducg.cn/citizen-voice/oss/upload",
        loginDev: "https://api.xinducg.cn",
        authenticationUrl: "https://api.xinducg.cn/violating-subject",
        reportUrl: "https://api.xinducg.cn/citizen-voice",
        assetsUrl: "https://xinducg.cn/file",
        kitchenWasteUrl: "https://api.xinducg.cn/waste",
        eventUrl: "https://api.xinducg.cn",
    }
}

export default urls;
