import { create } from "zustand";

/** 全局状态管理 */
const useGlobalStore = create<any>()((set) => ({
  actionObj: undefined,
  configSource: undefined,
  /** 更新 */
  updateActionObj: (obj) => {
    set({ actionObj: obj });
  },
  updateConfigSource: (obj) => {
    set({ configSource: obj });
  },
}));

export default useGlobalStore;
