import { View } from "@tarojs/components";

import "./index.less";

import useArticleStore from "@/store/article";

/** 文章详情 */
export default function () {
  const { article } = useArticleStore();

  const _html = article?.content.replaceAll("&nbsp;", "\u00A0")!;

  return (
    <View className="article-container">
      <View className="title">{article?.title}</View>

      <View dangerouslySetInnerHTML={{ __html: _html }} />
    </View>
  );
}
